#
# spec file for package lynx (Version 2.8.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openssl openssl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         lynx
Copyright:    1994 University of Kansas
Group:        Applications/Internet
Provides:     lynxssl web_browser
Obsoletes:    lynxssl
Autoreqprov:  on
Version:      2.8.4
Release:      53
Summary:      A text-based WWW browser
Source: lynx%{version}rel.1.tar.bz2
Source1: po.tar.bz2
Patch: lynx2-8-4.dif

%description
Lynx is an easy to use browser for HTML documents and other internet
services like FTP, telnet, news.  Lynx is fast.  It is purely text based
and therefore makes it possible to use WWW resources on text terminals.

Authors:
--------
    Michael Grobe <grobe@kuhub.cc.ukans.edu>
    Lou Montulli

SuSE series: n

%prep
%setup -n lynx2-8-4 -a 1
%patch
# containing a few test msg's only:
rm -f po/{es,fr,it,ko,no,pl,pt}.po

%build
CFLAGS="$RPM_OPT_FLAGS -pipe" ./configure --with-ssl --enable-nls --prefix=/usr --mandir=%{_mandir} \
	--enable-default-colors --enable-ipv6
make

%install
make install
make clean
make EXTRAA="-DSHOW_COLOR=TRUE"
install -s lynx /usr/bin/lynx-color

%files
%doc README COPYING PROBLEMS lynx_help
/usr/bin/lynx
/usr/bin/lynx-color
%config /usr/lib/lynx.cfg
%doc %{_mandir}/man1/lynx.1.gz
/usr/share/locale/*/LC_MESSAGES/lynx.mo

%changelog -n lynx
* Mon Sep 17 2001 - uli@suse.de
- enabled use of default colors (was disabled all the time, but it
  seems the disabling didn't work before 2.8.4)
* Thu Aug 16 2001 - uli@suse.de
- update -> 2.8.4 rel. 1
- enabled IPv6 (Bug #8655)
* Fri Jul 27 2001 - ke@suse.de
- update message files from
  http://www.iro.umontreal.ca/contrib/po/maint/lynx/ ; packed as
  po.tar.bz2.
  Fix [#8662].
* Wed Jun 27 2001 - uli@suse.de
- update -> 2.8.3 final
- enabled NLS
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Thu Jan 04 2001 - uli@suse.de
- changed lynxssl -> lynx in some paths
* Tue Dec 19 2000 - lmuelle@suse.de
- remove unnecessary Provides: lynx2
* Mon Dec 18 2000 - uli@suse.de
- "lynxssl" becomes "lynx" (non-SSL version will be dropped)
* Mon Nov 27 2000 - uli@suse.de
- fixed neededforbuild
- uses passive FTP by default (req. by Andi Kleen)
* Wed Sep 27 2000 - uli@suse.de
- new package with SSL support
* Fri Aug 18 2000 - uli@suse.de
- fixed location of help file in lynx.cfg
* Fri Jun 02 2000 - kukuk@suse.de
- Use doc macro
* Wed Mar 01 2000 - schwab@suse.de
- Add group tag.
- /usr/man -> /usr/share/man
* Mon Sep 20 1999 - ro@suse.de
- added Provides web_browser
* Wed Sep 15 1999 - uli@suse.de
- update -> 2.8.3dev9
- scrapped Makefile.Linux
- added RPM_OPT_FLAGS to CFLAGS
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 27 1998 - florian@suse.de
- add /usr/bin/lynx-color again, as there is no global
  configuration possibility
* Thu Jul 16 1998 - florian@suse.de
- update to version 2.8
- no need to have an extra ncurses-color anymore as the
  ncurses-version has now also color support: "lynx -color"
* Wed Mar 04 1998 - florian@suse.de
- update to version 2.7.2
* Fri Oct 17 1997 - ro@suse.de
- ready for autobuild
* Tue Jul 29 1997 - florian@suse.de
- add security-fix for lynx 2.7.1
- also include a "lynx-color" that is build with slang instead of ncurses
  future lynx-ncurses will also have color-support, but a separate
  lynx-color should be ok right now
* Mon Jun 02 1997 - florian@suse.de
- update to version 2-7-1
* Sun Apr 13 1997 - florian@suse.de
- update to new version 2.7
* Thu Jan 02 1997 - florian@suse.de
- Update auf Version 2-6.
- Beim Aufruf des eingebauten Hilfesystems werden lokale Dateien
  aufgerufen und nicht die Internet-Version benuetzt.
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version 2-6. /usr/etc/mailcap sollte nun in aaa_base sein.
